Subject: Re: [PATCH v3] mm/page_alloc: Require pahole v1.22 to cope with zero-sized struct pagesets

From: Mel Gorman <[email-masked]>
Date: Fri, 16 Jul 2021 09:07:30 +0100

On Thu, Jul 15, 2021 at 09:44:53PM +0200, Michal Such?nek wrote:
> > > Well, luckily it seems we anticipated issues like that and added
> > > --skip_encoding_btf_vars argument, which I completely forgot about and
> > > just accidentally came across reviewing Arnaldo's latest pahole patch.
> > > I think that one is a much better solution, as then it will impact
> > > only those that explicitly relies on availability of BTF for per-CPU
> > > variables, which is a subset of all possible uses for kernel BTF. Sent
> > > a patch ([0]), please take a look.
> > > 
> > >   [0] https://lore.kernel.org/linux-mm/[email-masked]/T/#u
> > 
> > I'm happy to have this patch used as an alternative to forcing 1.22 to
> > be the minimum version of pahole required.
> 
> Is pahole 1.22 available already?
> 

Ultimately it was of less importance because of a0b8200d06ad ("kbuild:
skip per-CPU BTF generation for pahole v1.18-v1.21"). As I write this,
pahole v1.22 has not been tagged.

-- 
Mel Gorman
SUSE Labs